Jump to content


mmeves

Member Since 18 Apr 2015
Offline Last Active Apr 18 2015 04:32 PM
-----

Topics I've Started

Still need Crossover to use Macbridge?

18 April 2015 - 04:31 PM

I installed MacBridge and I am using it with Rootsmagic 7.  Do I still need CrossOver?  

 

I got an email that my Crossover subscription is about to expire.  The only reason I got Crossover (before Macbridge came out) was to use it with Rootsmagic.